"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDatabaseProviders = void 0;
const mysql_base_1 = require("../mysql.base");
async function getDatabaseProviders(host, port, username, password, database, any) {
    const base = {
        type: "mysql",
        host,
        port: parseInt(port, 10),
        username,
        password,
        database,
        synchronize: false,
        logging: false,
        extra: {
            connectionLimit: 5000,
        },
        charset: "utf8mb4",
        entities: ["src/**/*.entity.ts"],
        subscribers: ["src/**/*.subscribe.ts"],
        namingStrategy: new mysql_base_1.ConstraintSnakeNamingStrategy(),
    };
    if (any) {
        return Object.assign(base, Object.assign({}, any));
    }
    return base;
}
exports.getDatabaseProviders = getDatabaseProviders;
//# sourceMappingURL=database.provider.js.map