"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServiceBase = void 0;
const common_1 = require("@nestjs/common");
const crud_typeorm_1 = require("@nestjsx/crud-typeorm");
const typeorm_1 = require("typeorm");
let ServiceBase = class ServiceBase extends crud_typeorm_1.TypeOrmCrudService {
    constructor(repo, _entity) {
        super(repo);
        this.repo = repo;
        this._entity = _entity;
        this.entity = _entity;
        this.relations = _entity.relations;
        this.recursiveRelations = _entity.recursiveRelations;
    }
    async findOneBy(where, manager) {
        const options = {
            where,
        };
        if (manager) {
            return manager.findOne(this.entity, options);
        }
        return this.findOne(options);
    }
    async findAllBy(where, manager) {
        const options = {
            where,
        };
        if (manager) {
            return manager.find(this.entity, options);
        }
        return this.find(options);
    }
    async createOneBy(params, manager) {
        const createEntity = this.repo.create(params);
        if (manager) {
            return manager.save(this.entity, createEntity);
        }
        return this.repo.save(createEntity);
    }
    async createAllBy(params, manager) {
        const createEntities = params.map((param) => this.repo.create(param));
        if (manager) {
            return manager.save(this.entity, createEntities);
        }
        return this.repo.save(createEntities);
    }
    async updateOneBy(where, set, manager) {
        if (manager) {
            return manager.update(this.entity, where, set);
        }
        return this.repo.update(where, set);
    }
    async deleteOneBy(where, manager) {
        if (manager) {
            return manager.delete(this.entity, where);
        }
        return this.repo.delete(where);
    }
};
ServiceBase = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [typeorm_1.Repository, Object])
], ServiceBase);
exports.ServiceBase = ServiceBase;
//# sourceMappingURL=service.base.js.map