import { TypeOrmCrudService } from "@nestjsx/crud-typeorm";
import { Token } from "./token.entity";
import { DeepPartial, DeleteResult, EntityManager, FindOperator, FindOptionsWhere, InsertResult, JoinOptions, Repository, UpdateResult } from "typeorm";
export declare class TokenService extends TypeOrmCrudService<Token> {
    readonly repo: Repository<Token>;
    private readonly entity;
    private readonly relations;
    private readonly recursiveRelations;
    constructor(repo: Repository<Token>);
    findOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<Token>;
    findOneOptionBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, options?: {
        relations?: any;
        select?: any;
    }, manager?: EntityManager): Promise<Token>;
    findAllBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<Token[]>;
    findAllOptionBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, options?: {
        join?: JoinOptions;
        relations?: any;
        select?: any;
    }, manager?: EntityManager): Promise<Token[]>;
    createOneBy(params: DeepPartial<Token>, manager?: EntityManager): Promise<Token>;
    createAllBy(params: DeepPartial<Token>[], manager?: EntityManager): Promise<Token[]>;
    createAllIfNotExistBy(params: DeepPartial<Token>[], manager?: EntityManager): Promise<InsertResult>;
    updateOneBy(where: FindOptionsWhere<Token>, set: {
        [K in keyof Token]?: any;
    }, manager?: EntityManager): Promise<UpdateResult>;
    deleteOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<DeleteResult>;
}
