"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TokenService = void 0;
const common_1 = require("@nestjs/common");
const crud_typeorm_1 = require("@nestjsx/crud-typeorm");
const typeorm_1 = require("@nestjs/typeorm");
const token_entity_1 = require("./token.entity");
const typeorm_2 = require("typeorm");
let TokenService = class TokenService extends crud_typeorm_1.TypeOrmCrudService {
    constructor(repo) {
        super(repo);
        this.repo = repo;
        this.entity = token_entity_1.Token;
        this.relations = token_entity_1.Token.relations;
        this.recursiveRelations = token_entity_1.Token.recursiveRelations;
    }
    async findOneBy(where, manager) {
        const options = {
            where,
            relations: [...this.relations, ...this.recursiveRelations],
        };
        if (manager) {
            return manager.findOne(this.entity, options);
        }
        return this.findOne(options);
    }
    async findOneOptionBy(where, options, manager) {
        const condition = {
            where,
            relations: options === null || options === void 0 ? void 0 : options.relations,
            select: options === null || options === void 0 ? void 0 : options.select,
        };
        if (manager) {
            return manager.findOne(this.entity, condition);
        }
        return this.findOne(condition);
    }
    async findAllBy(where, manager) {
        const options = {
            where,
            relations: [...this.relations, ...this.recursiveRelations],
        };
        if (manager) {
            return manager.find(this.entity, options);
        }
        return this.find(options);
    }
    async findAllOptionBy(where, options, manager) {
        const condition = {
            where,
            join: options === null || options === void 0 ? void 0 : options.join,
            relations: options === null || options === void 0 ? void 0 : options.relations,
            select: options === null || options === void 0 ? void 0 : options.select,
        };
        if (manager) {
            return manager.find(this.entity, condition);
        }
        return this.find(condition);
    }
    async createOneBy(params, manager) {
        const createEntity = this.repo.create(params);
        if (manager) {
            return manager.save(this.entity, createEntity);
        }
        return this.repo.save(createEntity);
    }
    async createAllBy(params, manager) {
        const createEntities = params.map((param) => this.repo.create(param));
        if (manager) {
            return manager.save(this.entity, createEntities);
        }
        return this.repo.save(createEntities);
    }
    async createAllIfNotExistBy(params, manager) {
        let queryBuilder;
        if (manager) {
            queryBuilder = manager.createQueryBuilder();
        }
        else {
            queryBuilder = this.repo.createQueryBuilder();
        }
        const createEntities = params.map((param) => this.repo.create(param));
        return queryBuilder
            .insert()
            .into(token_entity_1.Token)
            .values(createEntities)
            .orIgnore()
            .execute();
    }
    async updateOneBy(where, set, manager) {
        if (manager) {
            return manager.update(this.entity, where, set);
        }
        return this.repo.update(where, set);
    }
    async deleteOneBy(where, manager) {
        if (manager) {
            return manager.delete(this.entity, where);
        }
        return this.repo.delete(where);
    }
};
TokenService = __decorate([
    (0, common_1.Injectable)(),
    __param(0, (0, typeorm_1.InjectRepository)(token_entity_1.Token)),
    __metadata("design:paramtypes", [typeorm_2.Repository])
], TokenService);
exports.TokenService = TokenService;
//# sourceMappingURL=token.service.js.map